Bug 180487 - [patch update] math/p5-Math-Int128 0.07 -> 0.09
Summary: [patch update] math/p5-Math-Int128 0.07 -> 0.09
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Andrej Zverev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-12 10:50 UTC by Kurt Jaeger
Modified: 2013-08-25 16:34 UTC (History)
0 users

See Also:


Attachments
file.diff (2.17 KB, patch)
2013-07-12 10:50 UTC, Kurt Jaeger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kurt Jaeger 2013-07-12 10:50:00 UTC
	update math/p5-Math-Int128 0.07 -> 0.09

How-To-Repeat: 	-
Comment 1 Edwin Groothuis freebsd_committer 2013-07-12 10:50:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Frederic Culot freebsd_committer 2013-07-12 11:57:56 UTC
Responsible Changed
From-To: perl->culot

I'll take it.
Comment 3 Frederic Culot freebsd_committer 2013-07-17 14:16:54 UTC
Hi Kurt,

thanks for submitting this update.
It builds fine on 8.4 but there's an issue in 9.1:

https://redports.org/~culot/20130717115100-44464-132830/p5-Math-Int128-0.09_1.log

Could you have a look at it please?

Thanks,
Frederic
Comment 4 Frederic Culot freebsd_committer 2013-07-17 14:17:22 UTC
State Changed
From-To: open->feedback

Ask for maintainer fix.
Comment 5 Kurt Jaeger 2013-07-19 06:39:11 UTC
Hi!

> thanks for submitting this update.
> It builds fine on 8.4 but there's an issue in 9.1:
> 
> https://redports.org/~culot/20130717115100-44464-132830/p5-Math-Int128-0.09_1.log
> 
> Could you have a look at it please?

@work, problem persists even after updating to 0.10. And 0.11
recently came out, but has the same problem.

The data type __int128 used by the perl module seems to be no longer
supported on more recent gcc versions.

Trying clang caused other issues and I reported them in

  http://llvm.org/bugs/show_bug.cgi?id=16658

-- 
pi@opsec.eu            +49 171 3101372                         7 years to go !
Comment 6 Salvador Fandino 2013-07-19 08:22:05 UTC
=0A=0A=0A=0A----- Original Message -----=0A> From: Kurt Jaeger <pi@opsec.eu=
>=0A> To: Frederic Culot <culot@FreeBSD.org>=0A> Cc: bug-followup@FreeBSD.o=
rg; Kurt Jaeger <fbsd-ports@opsec.eu>; salva@cpan.org=0A> Sent: Friday, Jul=
y 19, 2013 7:39 AM=0A> Subject: Re: ports/180487: [patch update] math/p5-Ma=
th-Int128 0.07 -> 0.09=0A> =0A> Hi!=0A> =0A>>  thanks for submitting this u=
pdate.=0A>>  It builds fine on 8.4 but there's an issue in 9.1:=0A>> =0A>> =
=0A> https://redports.org/~culot/20130717115100-44464-132830/p5-Math-Int128=
-0.09_1.log=0A>> =0A>>  Could you have a look at it please?=0A> =0A> @work,=
 problem persists even after updating to 0.10. And 0.11=0A> recently came o=
ut, but has the same problem.=0A> =0A> The data type __int128 used by the p=
erl module seems to be no longer=0A> supported on more recent gcc versions.=
=0A=A0=0A128bit integers are only supported by gcc on 64bit systems.
Comment 7 azverev 2013-08-25 12:25:20 UTC
Hello,
Can we stop on such variant?
http://az.semmy.ru/p5-Math-Int128-0.12.diff.txt
Comment 8 Kurt Jaeger 2013-08-25 15:21:16 UTC
Hi!

> Can we stop on such variant?
> http://az.semmy.ru/p5-Math-Int128-0.12.diff.txt

Yes, this patch looks OK. I can't test it, as I have no host with
${OSVERSION} > 901505.

Frederic, would you commit it ?

-- 
pi@opsec.eu            +49 171 3101372                         7 years to go !
Comment 9 Andrej Zverev freebsd_committer 2013-08-25 16:21:13 UTC
Responsible Changed
From-To: culot->az

reassign, ok'ed from culot@
Comment 10 dfilter service freebsd_committer 2013-08-25 16:27:23 UTC
Author: az
Date: Sun Aug 25 15:27:10 2013
New Revision: 325349
URL: http://svnweb.freebsd.org/changeset/ports/325349

Log:
  - update to 0.12
  - split logic of compilter detection: need clang 3.2+ or gcc 4.4+
  - mark not for ARCH i386
  
  PR:		180487
  Submitted by:	Kurt Jaeger <fbsd-ports@opsec.eu>
  Approved by:	Kurt Jaeger <fbsd-ports@opsec.eu> (maintainer)

Deleted:
  head/math/p5-Math-Int128/files/
Modified:
  head/math/p5-Math-Int128/Makefile
  head/math/p5-Math-Int128/distinfo   (contents, props changed)
  head/math/p5-Math-Int128/pkg-plist   (contents, props changed)

Modified: head/math/p5-Math-Int128/Makefile
==============================================================================
--- head/math/p5-Math-Int128/Makefile	Sun Aug 25 15:17:18 2013	(r325348)
+++ head/math/p5-Math-Int128/Makefile	Sun Aug 25 15:27:10 2013	(r325349)
@@ -3,8 +3,7 @@
 #
 
 PORTNAME=	Math-Int128
-PORTVERSION=	0.07
-PORTREVISION=	1
+PORTVERSION=	0.12
 CATEGORIES=	math perl5
 MASTER_SITES=	CPAN
 PKGNAMEPREFIX=	p5-
@@ -14,15 +13,24 @@ COMMENT=	Manipulate 128 bits integers in
 
 LICENSE=	ART10
 
-BUILD_DEPENDS=  p5-Math-Int64>=0.28:${PORTSDIR}/math/p5-Math-Int64
-RUN_DEPENDS=    p5-Math-Int64>=0.28:${PORTSDIR}/math/p5-Math-Int64
+BUILD_DEPENDS=	p5-Math-Int64>=0.28:${PORTSDIR}/math/p5-Math-Int64
+RUN_DEPENDS=	p5-Math-Int64>=0.28:${PORTSDIR}/math/p5-Math-Int64
 
 USES=		perl5
 USE_PERL5=	configure
 
-USE_GCC=	yes
+NOT_FOR_ARCHS=	i386
 
 MAN3=		Math::Int128.3 \
 		Math::Int128::die_on_overflow.3
 
-.include <bsd.port.mk>
+.include <bsd.port.pre.mk>
+
+# need clang 3.2+ or gcc 4.4+
+.if exists(/usr/bin/clang) && ${OSVERSION} > 901505
+CC=	/usr/bin/clang
+.else
+USE_GCC=	4.4+
+.endif
+
+.include <bsd.port.post.mk>

Modified: head/math/p5-Math-Int128/distinfo
==============================================================================
--- head/math/p5-Math-Int128/distinfo	Sun Aug 25 15:17:18 2013	(r325348)
+++ head/math/p5-Math-Int128/distinfo	Sun Aug 25 15:27:10 2013	(r325349)
@@ -1,2 +1,2 @@
-SHA256 (Math-Int128-0.07.tar.gz) = 5401691a22f723d3834c086b76e933b5bf01ff2c69d6e37b675e75cfc664efe9
-SIZE (Math-Int128-0.07.tar.gz) = 60412
+SHA256 (Math-Int128-0.12.tar.gz) = 09075e44aba51722d8f464e3e15ecbab291e3fb58d3bfc3d124a53b29f7dd876
+SIZE (Math-Int128-0.12.tar.gz) = 61847

Modified: head/math/p5-Math-Int128/pkg-plist
==============================================================================
--- head/math/p5-Math-Int128/pkg-plist	Sun Aug 25 15:17:18 2013	(r325348)
+++ head/math/p5-Math-Int128/pkg-plist	Sun Aug 25 15:27:10 2013	(r325349)
@@ -4,6 +4,6 @@
 %%SITE_PERL%%/%%PERL_ARCH%%/auto/Math/Int128/Int128.bs
 %%SITE_PERL%%/%%PERL_ARCH%%/auto/Math/Int128/Int128.so
 @dirrm %%SITE_PERL%%/%%PERL_ARCH%%/auto/Math/Int128
-@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/auto/Math
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Math
 @dirrm %%SITE_PERL%%/%%PERL_ARCH%%/Math/Int128
-@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/Math
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/Math
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 11 Andrej Zverev freebsd_committer 2013-08-25 16:34:02 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!